[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.UpdateData

UpdateData is used to perform pending updates for the selected cell.

## Declaration

Source position: dbgrids.pas line 506

`protected procedure TCustomDBGrid.UpdateData; virtual;`

## Description

UpdateData is a virtual procedure used to perform pending updates for the selected cell to its Field in the grid DataSet. No action is performed if the selected cell has not been modified (or cannot be modified) or the DataSet is not in edit mode.

UpdateData ensures that the appropriate method is used to update Field data based on the TField.FieldKind for the modified column. Special handling is provided for lookup Fields to check the cached lookup list or to retrieve the lookup result using its key Fields.

UpdateData calls the EditingColumn method to disable the editing flag for the column prior to exit.